System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.MarshalByValueComponent System.ComponentModel.IListSource System.ComponentModel.ISupportInitializeNotification System.Runtime.Serialization.ISerializable System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("DataSet") System.Xml.Serialization.XmlSchemaProvider("GetDataSetSchema") System.ComponentModel.Designer("Microsoft.VSDesigner.Data.VS.DataSetDesigner, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultProperty("DataSetName") System.ComponentModel.ToolboxItem("Microsoft.VSDesigner.Data.VS.DataSetToolboxItem, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") Implements an in-memory cache of data read from a data source

DataSet, composing a part of the ADO.NET framework, is a class which represents a "snapshot" of data read from a certain, arbitrary, data source and defines operations that let the programmer access and manipulate the data in the relational. The data sources DataSet can use range from RDBMS to XML files.

Data is kept in a collection of objects which you can relate to each other thanks to the class. Data integrity can be enforced in the fashion similar to the RDBMS, using the constraint classes - and .

Numerous other ways of manipulating the data exist with the DataSet. It is possible to retrieve a subset of the data that contains only the data that was changed in the current DataSet, one can also merge DataSets, update the data in one DataSet using another DataSet as a source, add, delete and updata rows of data represented by the class. It is also possible to reject or accept the changes to the data using, respectively, the and the methods.

- Constructor
  Creates and initializes a new instance of the class.
  This constructor creates a DataSet with the default name "NewDataSet".
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  Creates and initializes a new instance of the class with the specified name.
  A name of a DataSet instance is required for the XML representation of the data, which has a root element that needs to contain the name of the represented DataSet.
  1.0.5000.0
  2.0.0.0
- Constructor
  The data used in the process of the object (de)serialization.
  The source/destination of the serialized stream.
  This constructor is used internally by the framework and should not be used in the user programs.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  System.Void Commits all the changes made to this DataSet since it was loaded or since the last time AcceptChanges was called.

  AcceptChanges is a way to accept data changes within a DataSet in a hierarchical manner. The method is also present in the and classes which allows the data acceptance process to descend in the hierarchy. If AcceptChanges is called on the DataSet, the implementation will in turn call the AcceptChanges method on all the DataTable instances in the table collection and the tables will invoke the method on the DataRow objects they own. That allows you to selectively accept changes in a flexible way.

  Calling AcceptChanges on the DataSet affects the DataRow objects in the way dependant on the state the rows are in at the point of the method call. And so, if a DataRow is in the edit mode, the mode will be successfully ended. If a row is in the Added or Modified state, as indicated by the property, it will become Unchanged and the rows found in the Deleted state are removed from the DataSet.

  A found attached to the DataSet causes the to be enforced.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void This method is not meant for use in the user's program. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Gets or sets the value that indicates whether string comparisons within the DataSet are case sensitive. if string comparisons are case-sensitive, otherwise. The default is . This property sets the case sensitivity mode for the searching, filtering and and sorting operations performed on the data contained in the DataSet. Setting the property causes the property of all the objects contained within the DataSet to be set to the same value. 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(false)
- Method
  System.Void Removes all the data from the DataSet by deleting all the rows from the table collection. If the DataSet data source is then calling this method raises the . In such case, the way to remove the data is to traverse all the tables in the table collection and delete the rows one at a time. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataSet Makes a copy of the DataSet structure (schemas, relations and constraints) and returns it as a new instance of DataSet. The data is not copied. A DataSet with the same structure as the current one, but with no data. If the current object is a subclass of DataSet, the clone will also be of the same type. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataSet Copies both the structure (schemas, relations and constraints) of the current object. A new object which contains a copy of the current object's schema and data. If the current object is a subclass of DataSet, the clone will also be of the same type. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Data.DataTableReader To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.DataTableReader `System.ParamArray` To be added. To be added. To be added. To be added.
- Property
  System.String Gets or sets the name of the DataSet object. The name of the DataSet object. 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("")
- Property
  System.Data.DataViewManager Gets a custom which allows filtering, searching and navigating the DataSet. The returned allows you to create custom settings for each contained within the DataSet object. 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.Data.SchemaSerializationMode `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SchemaSerializationMode `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void This method is not meant for use in the user's program. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Gets or sets a value indicating whether constraint rules are enforced during updates of the DataSet object. , if rules are enforced, otherwise. The default is . Constraints are set using the property. 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)
- Property
  System.Data.PropertyCollection Gets the collection of customized user information associated with the DataSet. A with all custom user information. The ExtendedProperties property enables you to store custom information with the DataSet. The extended properties must be of type in order to have them persisted along with the DataSet when writing the latter as XML. 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Method
  System.Data.DataSet Gets a DataSet with the changes since the last call to AcceptChanges or since the object was loaded. A copy of all the changes which can be operated upon separately to the current object and then merged back in using , or null reference if no changes are found. The returned copy is structured so that it is easy to merge it back into the original dataset. It is however possible that the copied data will contain Unchanged rows if they were selected because of relationship constraints of the original object. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataSet `` One of the values defined in the structure. Gets a DataSet with the changes since the last call to AcceptChanges or since the object was loaded. The data is filtered by . A filtered copy of all the changes which can be operated upon separately to the current object and then merged back in using DataSet.Merge, or null reference if no changes are found. The returned copy is structured so that it is easy to merge it back into the original dataset. It is however possible that the copied data will contain Unchanged rows if they were selected because of relationship constraints of the original object. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchemaComplexType `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Xml.Schema.XmlSchema This method is not meant for use in the user's program. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` This method is not meant for use in the user's program. 1.0.5000.0 2.0.0.0
- Method
  System.String Returns the data contained in the DataSet formatted as XML. A string which contains the XML representation of the data in the current DataSet. Calling this method is identical to invoking the method with XmlWriteMode set to IgnoreSchema.

  Using GetXml in order to save the XML data into a file has more overhead than calling directly.

  1.0.5000.0
  2.0.0.0
- Method
  System.String Returns the XSD representation fore the XML schema of the data contained in the current DataSet. A string which contains the XSD schema for the XML of the data in the current DataSet. Calling this method is identical to calling , except that only the primary schema is written. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean Returns a value that indicates whether the current DataSet has any changes in it (that is any New, Deleted or Modified rows). if the current DataSet has changes, otherwise. It is a good idea to call HasChanges before invoking . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` One of the values defined in the structure. Returns a value that indicates whether the current DataSet has any changes in it (that is any New, Deleted or Modified rows), filtered by if the current DataSet has changes, otherwise. It is a good idea to call HasChanges before invoking . 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Gets a value indicating whether there are errors in any of the tables within the DataSet object. if any table contains an error, otherwise. This property is set to if any of the tables contained within the DataSet have their set to . It is a simple optimization to check this property before traversing the collection owned by the DataSet object. If a has errors, the method can be used to retrieve an array of objects that are erroneous. 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Method
  System.Void `` `` The to read the data from. An array of namespace URIs to be excluded from the inference. Applies the specified XML schema from the specified to the current DataSet 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A object to read the data from. An array of namespace URIs to be excluded from the inference. Applies the specified XML schema from the specified to the current DataSet 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` Name of the file to read the data from. An array of namespace URIs to be excluded from the inference. Applies the specified XML schema from the specified file to the current DataSet 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A object to read the data from. An array of namespace URIs to be excluded from the inference. Applies the specified XML schema from the specified to the current DataSet 1.0.5000.0 2.0.0.0
- Event
  2.0.0.0
  System.EventHandler To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Globalization.CultureInfo Gets or sets the locale information used to compare strings within the table. A that contains data about the user's machine locale. The default is a null reference. By default, setting the Locale for a DataSet also sets the Locale for each object in that DataSet to the same value. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` An array of objects to get the new data from. Merges an array of objects into the current DataSet.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The DataSet whose data and schema will be merged into the current DataSet. Merges a specified DataSet and its schema into the current DataSet.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The whose data and schema will be merged. Merges a specified and its schema into the current DataSet.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` The DataSet whose data and schema will be merged into the current DataSet. to preserve changes in the target DataSet, otherwise Merges a specified DataSet and its schema into the current DataSet, preserving or discarding any changes in this DataSet according to the given argument.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` An array of objects to be merged into the current DataSet to preserve changes in the target DataSet, otherwise One of the values Merges an array of objects into the current DataSet, preserving or discarding changes in the DataSet and handling an incompatible schema according to the given arguments.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` The DataSet whose data and schema will be merged into the current DataSet. to preserve changes in the target DataSet, otherwise One of the values Merges a specified DataSet and its schema with the current DataSet, preserving or discarding changes in the current DataSet and handling an incompatible schema according to the given arguments.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` The whose data and schema will be merged. to preserve changes in the target DataSet, otherwise One of the values Merges a specified and its schema into the current DataSet, preserving or discarding changes in the DataSet and handling an incompatible schema according to the given arguments.

  Merging is a process of combining two DataSet objects that have similar data schemas. A merge is usually done when an application wants to update its local copy of DataSet with the latest changes from the data source and is typically done after a set of operations that change the state of the data in the data source.

  One common scenario is when an application is instructed by a user to submit new data to the data source associated with the current DataSet. In response to the request the application first calls the method which returns a smaller set of data which contains the changed rows. After retrieving the changes, the application passes the data down to the data source. If necessary (for example if the data source is an RDBMS which uses stored procedures to further process the data), the application can refresh its local copy of the DataSet from the data source by, again, calling GetChanges on the DataSet object bound to the data source.

  Merging two DataSet objects may involve combining schemas of the objects as it is possible that the schema in the object being merged in was modified and the changes need to be reflected in the object being merged into. If the DataSet object being merged in contains new columns (that is the objects were added, the new schema elements can be added to the target DataSet object by calling the method with the missingSchemaAction set to . Merging the schema is always done before merging the data.

  During the merge all the rows with the value of Unchanged, Modified or Deleted are matched against the rows in the target DataSet object with the same primary key. The new rows are copied to the target DataSet object.

  During the merge all the constraints in the target DataSet object are disabled. They are re-enabled at the end of the merge and if they fail, a exception is raised but the merged in data is left intact in the target DataSet object and the constraints remain disabled. If such situation happens, the property is set to and all the rows that failed the constraints are marked as erroneous. It will not be possible to set the property to before the errors are resolved.

  1.0.5000.0
  2.0.0.0
- Event
  System.Data.MergeFailedEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Gets or sets the namespace of the DataSet. The namespace of the DataSet.

  This property is used whenever the DataSet is read or written from/into an XML document.

  The namespace is used to limit the set of values to read from an XML file when only data is read. Only the XML elements which are marked as belonging to the same namespace will be read into the DataSet.

  Setting the property when the namespace already has data will raise the exception.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'DataRelation' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataTable' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Gets or sets an XML prefix that aliases the namespace of the DataSet. The XML prefix for the DataSet namespace. This property is used throughout an XML document to identify elements which belong to the namespace of the DataSet object (as set by the property). 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("")
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Data.XmlReadMode `` The stream to read the data from. Reads the XML schema and data from the specified stream. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` The object to read the data from. Reads the XML data from the specified reader object. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` Name of the file to read the data from. Reads the XML from the specified file. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` The object to read the data from. Reads the XML data from the specified XML reader object. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` `` The stream to read the data from. One of the values. Reads the XML schema and data from the specified stream using the indicated read mode. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` `` The object to read the data from. One of the values. Reads the XML data from the specified reader object using the indicated read mode. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception wil be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` `` Name of the file to read the XML data and/or schema from. One of the values. Reads the XML from the specified file using the indicated read mode. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.XmlReadMode `` `` The object to read the data from. One of the values. Reads the XML data from the specified XML reader object using the indicated read mode. The used to read the data.

  This method makes it possible to read the XML data and, optionally, the schema into the DataSet. Reading of the XML schema is possible with any of the overloaded versions of ReadXml that take as one of their parameters and setting the parameter to the ReadSchema value.

  Whether or not the forms of ReadXml that do not take the read the schema, depends on whether the XML source contains the inline schema definition, that is the Auto setting is used. If the inline schema is found, it will be read and parsed before reading the data, possibly extending and modifying the existing data structure stored in the DataSet. Should any conflicts surface in the process, an exception will be raised. If no inline schema can be found, the existing relational structure is extended through inference, following the structure of the XML document. Should it happen that the structure cannot be extended, an exception will be raised.

  Writing the schema of the DataSet into an XML file is possible using one of the overloaded methods.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The stream to read the schema from. Reads the XML schema from the specified stream.

  Reads the data schema specified in the XSD standard and creates the DataSet structure based on it. The schema includes the table, relation and constraint definitions. ReadXmlSchema can be used before reading the XML data using one of the overloaded versions which do not take the parameter.

  Writing the XML schema is possible using one of the overloaded

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The text reader object to read the data from. Reads the schema from the specified text reader object.

  Reads the data schema specified in the XSD standard and creates the DataSet structure based on it. The schema includes the table, relation and constraint definitions. ReadXmlSchema can be used before reading the XML data using one of the overloaded versions which do not take the parameter.

  Writing the XML schema is possible using one of the overloaded

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` Name of the file to read the schema from. Reads the schema from the specified file.

  Reads the data schema specified in the XSD standard and creates the DataSet structure based on it. The schema includes the table, relation and constraint definitions. ReadXmlSchema can be used before reading the XML data using one of the overloaded versions which do not take the parameter.

  Writing the XML schema is possible using one of the overloaded

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The XML reader object to read the schema from. Reads the schema from the specified XML reader object.

  Reads the data schema specified in the XSD standard and creates the DataSet structure based on it. The schema includes the table, relation and constraint definitions. ReadXmlSchema can be used before reading the XML data using one of the overloaded versions which do not take the parameter.

  Writing the XML schema is possible using one of the overloaded

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Xml.XmlReader' This method should not be called by the user's code. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Undoes the changes made to the DataSet since it was created or since the last time was called.

  Invoking this method causes the DataSet object to call the in order to invalidate the changes made to the table stored in the collection.

  objects contained in the tables stored in the DataSet can be set into edit mode by calling the method and out of the edit mode by calling the method. After the latter method is invoked, it is possible to either reject the changes by calling RejectChanges on the table or DataSet, or accept them by calling the (or of the table the rows belong to) method.

  Calling the RejectChanges method causes all the rows in the edit mode to cancel the mode, the new rows to be deleted from the table and modified and deleted rows to return back to their state.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataRelationCollection Get the collection of relations that link tables and allow navigation from parent tables to child tables. A that contains a collection of objects, a null value if no DataRelation objects exist. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Data.SerializationFormat.Xml)
  System.Data.SerializationFormat To be added. To be added. To be added.
- Method
  System.Void Restores the original state of the DataSet object. Resets the object to its original state, that is, removes all the constraints, clears all the tables and deletes all the relations. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Data.SchemaSerializationMode To be added. To be added. To be added.
- Method
  System.Boolean Tells whether the property should be serialized. if the property has been modified from its default state, otherwise. This method can be used when creating a control that incorporates DataSet. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean Tells whether the property should be serialized. if the property has been modified from its default state, otherwise. This method can be used when creating a control that incorporates DataSet. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.ISite Gets or sets an for the DataSet. An for the DataSet. Sites bind a to a and enable communication between them, as well as provide a way for the container to manage its components. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Collections.IList To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Data.DataTableCollection Gets the collection of tables contained in the DataSet. The contained by this DataSet; otherwise a value if no objects exist. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Method
  System.Void `` Stream object to write the data to. Writes the current DataSet data to the specified stream. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` Writer object to write the data to. Writes the data to the specified text writer object. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` Name of the file to write the data to. Writes the data to the specified file. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` XML writer object to write the data to. Writes the data to the specified XML writer object. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` Stream object to write the data to. One of the values. Writes the current DataSet data to the specified stream using the indicated write mode. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` Writer object to write the data to. One of the values. Writes the data to the specified text writer object using the indicated write mode. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` Name of the file to write the data to. One of the values. Writes the data to the specified file using the indicated write mode. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` XML writer object to write the data to. One of the values. Writes the data to the specified XML writer object using the indicated write mode. This method makes it possible to write the DataSet data and/or its schema into an XML document. To write both the schema and the data use one of the overloaded WriteXml versions which take the parameter and set it to WriteSchema. To write only the DataSet schema use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` Stream object to write the data to. Write the schema to the specified stream object. WriteXmlSchema writes only the DataSet data schema to an XML document. The schema includes table, relation, and constraint definitions. The schema is written using the XSD standard. To write the data only, or both data and schema to an XML document, use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` Text writer object to write the data to. Write the schema to the specified text writer object. WriteXmlSchema writes only the DataSet data schema to an XML document. The schema includes table, relation, and constraint definitions. The schema is written using the XSD standard. To write the data only, or both data and schema to an XML document, use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` Name of the file to write the data to. Write the schema to the specified file. WriteXmlSchema writes only the DataSet data schema to an XML document. The schema includes table, relation, and constraint definitions. The schema is written using the XSD standard. To write the data only, or both data and schema to an XML document, use the method. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` XML writer to write the data to. Write the schema to the specified XML writer object. WriteXmlSchema writes only the DataSet data schema to an XML document. The schema includes table, relation, and constraint definitions. The schema is written using the XSD standard. To write the data only, or both data and schema to an XML document, use the method. 1.0.5000.0 2.0.0.0